Anonymous Login
2019-12-10 22:36 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001633v4.0 Release (Planning)Core Infrastructurepublic2017-01-02 13:36
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusacknowledgedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0001633: permissions on files broken
DescriptionI think you mentioned elswhere that this does nt work, but:

user permissions offer single file permissions.
The problem, I think, is in CFile::getFileList, which probably does not respect permissions.
Even more strange: permissions on helpdesk related files work partly, those on core related files don't
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003674

caseydk (administrator)

There shouldn't be file-specific permissions. It should only inherit from the Project and Task instead.

~0003689

caseydk (administrator)

Resolved in development:
https://github.com/web2project/web2project/commit/4bbd7803ec45ceaf9025309a76ce2173200a9ce6

~0003822

caseydk (administrator)


I'm changing this issue to acknowledged.

While it's resolved in the v4.0 development branch. That is going to be reviewed commit by commit and merged into a new development branch over the next couple months.

~0003876

opto (manager)

I opt to bring them in again. They are quite important in a business - you don't want all task assignees to see all design files. But some need them.

Maybe with a global enable/disable for the feature
+Notes

-Issue History
Date Modified Username Field Change
2014-10-11 02:57 opto New Issue
2014-10-11 20:16 caseydk Note Added: 0003674
2014-10-11 20:16 caseydk Assigned To => caseydk
2014-10-11 20:16 caseydk Status new => acknowledged
2014-10-11 20:16 caseydk Project v3.3 Release => v4.0 Release (Planning)
2014-10-12 12:49 caseydk Note Added: 0003689
2014-10-12 12:49 caseydk Status acknowledged => resolved
2014-10-12 12:49 caseydk Fixed in Version => 4.0
2014-10-12 12:49 caseydk Resolution open => fixed
2014-10-12 12:50 caseydk Target Version => 4.0
2016-12-29 10:16 caseydk Status resolved => acknowledged
2016-12-29 10:16 caseydk Note Added: 0003822
2017-01-02 13:36 opto Note Added: 0003876
+Issue History